Subject: Re: [Lksctp-developers] [PATCH] IPv6: ipv6_addr_type() doesn't know about RFC4193 addresses

From: Vlad Yasevich <[email-masked]>
Date: Thu, 26 Jul 2007 14:10:33 -0400

Dave Johnson wrote:
> Simon Arlott writes:
>> But ULA's scope isn't global, shouldn't it be IPV6_ADDR_SCOPE_ORGLOCAL ?
> 
> Isn't ORGLOCAL defined for multicast only?

Yes, it's only for multicast.  Unicast addresses only have
2 scopes any more: Global and Link-Local.

-vlad

> 
> rfc4193 section 3.3 says:
> 
>> 3.3. Scope Definition
>>    By default, the scope of these addresses is global.  That is, they
>>    are not limited by ambiguity like the site-local addresses defined in
>>    [ADDARCH]. 
> 
>